#include <LiquidCrystal.h>

LiquidCrystal lcd(12, 11, 5, 4, 3, 2);

const int switchPin = 6;
int switchState = 0;
int prevSwitchState = 0;
int reply;

void setup()
{
    lcd.begin(16, 2);
    pinMode(switchPin, INPUT);
    lcd.print("ASK THE");
    lcd.setCursor(0, 1);
    lcd.print("Crystal Ball!");
}

void loop()
{
    switchState = digitalRead(switchPin);
    if (switchState != prevSwitchState)
    {
        if (switchState == LOW)
        {
            reply = random(8);
            lcd.clear();
            lcd.setCursor(0, 0);
            lcd.print("The ball says:");
            lcd.setCursor(0, 1);
            switch (reply)
            {
            case 0:
                lcd.print("Yes");
                break;
            case 2:
                lcd.print("No");
                break;
            case 3:
                lcd.print("Most likely");
                break;
            case 4:
                lcd.print("Certainly");
                break;
            case 5:
                lcd.print("Unsure");
                break;
            case 6:
                lcd.print("Ask again");
                break;
            case 7:
                lcd.print("Doubtful");
                break;
            }
        }
    }
    prevSwitchState = switchState;
}
